Subject: Re: [PATCH v3 0/5] Expanding tabs in "git log" output

From: Torsten Bögershausen <[email-masked]>
Date: Thu, 24 Mar 2016 08:05:09 +0100

>  [5/5] adds a new option --no-expand-tabs that controls the bit 4/5
>        introduces, so that "git log [--pretty] --no-expand-tabs"
>        would show the log message indented by 4 spaces, without tab
>        expansion.

Does this introduce an unnecessary regression out of the sudden ?

Would it make sense to have
git log --tab-size=8
(or similar)

and add a config variable like
git config ui.logtabsize
which is 0 by default to get the old handling and 8 for the new one ?